Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class FastStringWriter

    java.lang.Object
      java.io.Writer
          org.codehaus.groovy.grails.web.util.GrailsPrintWriter
              org.codehaus.groovy.grails.web.pages.FastStringWriter

    public class FastStringWriter
    extends GrailsPrintWriter

Java's default StringWriter uses a StringBuffer which is synchronized. This implementation doesn't use synchronization

Authors:
  Graeme Rocher
  Lari Hotari

Since:
  1.1

Field Summary
`protected StreamCharBuffer` | `streamBuffer`

Fields inherited from class GrailsPrintWriter
CRLF, LOG, allowUnwrappingOut, out, previousOut, streamCharBufferTarget, trouble, usageFlag

Constructor Summary
`FastStringWriter()`
`FastStringWriter(int initialChunkSize)`
`protected FastStringWriter(java.lang.Object o)`

Method Summary
`StreamCharBuffer` | `getBuffer()`
`java.io.Reader` | `getReader()`
`java.lang.String` | `getValue()`
`protected void` | `initOut()`
`java.lang.String` | `toString()`

Methods inherited from class GrailsPrintWriter
append, append, append, append, append, asPrintWriter, asType, checkError, clone, close, findStreamCharBufferTarget, flush, getMetaClass, getOut, getProperty, getWriterForEncoder, invokeMethod, isAllowUnwrappingOut, isDestinationActivated, isUsed, leftShift, leftShift, leftShift, leftShift, leftShift, markUsed, plus, print, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setMetaClass, setOut, setProperty, setUsed, unwrap, unwrapWriter, write, write, write, write, write, write, write, writeWritable

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Field Detail

### streamBuffer

    protected final StreamCharBuffer streamBuffer

Constructor Detail

### FastStringWriter

    public FastStringWriter()

### FastStringWriter

    public FastStringWriter(int initialChunkSize)

### FastStringWriter

    protected FastStringWriter(java.lang.Object o)

Method Detail

### getBuffer

    public StreamCharBuffer getBuffer()

### getReader

    public java.io.Reader getReader()

### getValue

    public java.lang.String getValue()

### initOut

    protected void initOut()

### toString

    @java.lang.Override
    public java.lang.String toString()

Groovy Documentation